miércoles, 12 de febrero de 2014

Incompatibilidad Ckeditor con IE11 - Drupal 7

Las versiones anteriores a la 4.3 del CKEditor son incompatibles con IE 11
da errores en consola del tipo
script5 access is denied
Archivo: ckeditor.js, Línea: 759, Columna: 251 ie

para solucionarlo debemos descargar:



De la versión beta solo nos interesa la carpeta Kama, la cual esta dentro de Skins; la copiaremos dentro de la carpeta Skins de la versión estable y sustituiremos la versión estable por la que teníamos en nuestro server, la cual debe estar ubicada en Site -> All -> Modules ->CKEditor -> CKEditor

Después en nuestro Site, deberemos loguearnos como administrador, e ir a Configuración -> CKEditor -> y en Opciones Globales le daremos a editar para ver una ventana parecida a esta:


y tenemos seleccionado como vemos en la imagen superior el Skin Moono, debemos cambiarlo a nuestro nuevo Skin Kama y asunto solucionado.
Si dejamos el Skin Moono seleccionado tendremos un problema ya que los botones de nuestro CKEditor estarán dañados e irreconocibles.

Espero que os sirva de ayuda, yo esta mañana me he dado mil cabezazos hasta que di con una solución.